<?php
namespace Mirasvit\Seo\Block\Adminhtml\Duplicateinfo;

/**
 * Interceptor class for @see \Mirasvit\Seo\Block\Adminhtml\Duplicateinfo
 */
class Interceptor extends \Mirasvit\Seo\Block\Adminhtml\Duplicateinfo implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Widget\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
